1. Authentication API
GY Docs
  • Documentation
  • Authentication API
    • Login
      POST
    • Sign Up
      POST
    • Google Authentication
      GET
  • Users API
    • List Users
      GET
    • List Users (Public)
      GET
    • Remove User
      DELETE
    • Get User Profile
      GET
    • Set Profile
      PUT
    • Get Username
      GET
    • Update Username
      PATCH
    • Get Email
      GET
    • Get Picture
      GET
    • Update Picture
      PATCH
    • Get Phone Number
      GET
    • Update Phone Number
      PATCH
    • Update Password
      PATCH
    • Get Metadata
      GET
    • Refresh API Key
      PATCH
  • RaΓ­z
GY Accounts
GY BooksHeralds of Chaos
GY Accounts
GY BooksHeralds of Chaos
  1. Authentication API

Login

POST
https://api.gycoding.com/accounts/auth/login
Checks the existance and the authentication of an user account basic Email/Username and Password authentication and returns their credentials.

Request

Body Params application/json

Example
{
    "email": "test@gycoding.com",
    "password": "testpasswd-0"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.gycoding.com/accounts/auth/login' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "test@gycoding.com",
    "password": "testpasswd-0"
}'

Responses

🟒200Success
application/json
Body

Example
{
    "access_token": "string",
    "id_token": "string",
    "token_type": "Bearer",
    "expires_in": 0
}
🟠400Bad Request
🟠401Unauthorized
🟠405Method Not Allowed
πŸ”΄500Internal Error
Next
Sign Up
Built with